Retrieve an invoice
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Query parameters
The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.
A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.
A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.
A case-insensitive filter on the list.
A case-insensitive query parameter that allows you to specify which fields are returned in the response.
Specifies whether to include fields with the null value in the response.
- If set to
true, all fields will be returned in the response, including those with thenullvalue. - If set to
false, only fields with non-null values will be returned.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
The time that the invoice gets created in the system, in the
YYYY-MM-DD HH:MM:SS format.
The time that the invoice gets updated in the system, in the
YYYY-MM-DD HH:MM:SS format.
The ID of the bill-to contact associated with the invoice.
The ID of the bill-to contact snapshot associated with the invoice.
The currency amount of the adjustment applied to the customer’s credit balance.
Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled.
The currency amount of all credit memos applied to this invoice.
Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.
The currency of the invoice.
Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency.
The date by which the payment for this invoice is due, in yyyy-mm-dd format.
Specifies whether the invoice includes one-time charges.
The ID of the ship-to contact associated with the invoice.
The ID of the ship-to contact snapshot associated with the invoice.
The ID of the sold-to contact associated with the invoice.
The ID of the sold-to contact snapshot associated with the invoice.
The ID of the invoice source.
If an invoice is generated from a bill run, the value is the number of the corresponding bill run.Otherwise, the value is null.
The status of the invoice.
Note:
-
The
Splitstatus is applicable only when you use Split Invoice feature. -
When an invoice is split, its status changes from
DrafttoSplit, and the newly created invoices retain a reference to the original invoice.
The status that the tax engine return after it calculates the taxes of this invoice. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor’s side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor’s side.
The ID of the invoice template.
- If you have the Flexible Billing Attributes feature enabled, the value of this field depends on the configuration of the invoice template.
- If you specify an invoice template at the subscription level, the value of this field is automatically populated from the corresponding subscription.
- If you do not specify any invoice template at the subscription level, the value of this field is automatically populated from the corresponding account.
- If you have the Flexible Billing Attributes feature disabled, the value of this field is
null.
It could be Processing, RetrieveTimeOut, Generated, Success, ConditionalSuccess, ApprovedByAuthority, Failed, and Rejected. If it’s Failed, it will have an error code and message. If it’s Generated or Success, both error code and message are empty, and eInvoiceFileId stores the file id of e-invoice.
The ID of the e-invoice file.
The error code when status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor.
The error message when status is “Failed”. This message can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor.
A link to the Payment Link page where the customer can pay the invoice.
The link is generated only if the invoice is posted after enabling the Payment Link feature on your tenant.
Note: The Payment Link feature is in the Early Adopter phase. You can enable the Payment Link feature through a self-service configuration in the Manage Features setting for Zuora Payments.